Subject: bug#65889: texlive-acronyms is missing dependencies

From: Daniel Meißner <[email-masked]>
Date: Wed, 13 Sep 2023 23:21:38 +0200

Hi Nicolas,

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Daniel Meißner via Bug reports for GNU Guix <[email-masked]> writes:
>

[...]

>> I can provide a patch if desired to add texlive-xstring and
>> texlive-bigfoot to texlive-acronym’s (propagated-)inputs.  The suffix
>> package appears to be bundled with texlive-bigfoot.  Do we want to
>> unbundle it or simply add texlive-bigfoot to the (propagated-)inputs?
>
> We use dependencies specified in TeX Live itself (as in "texlive.tlpdb"
> file), for sanity reasons. There are 4000+ packages; I think it is not
> reasonable to grep through their output to find the unspecified
> dependencies. It will also be terrible when using some updater, now this
> tool can remove propagated inputs.
>
> Most dependencies issues are resolved installing collections of
> packages, such as `texlive-collection-latexrecommended'. As a data
> point, I only resolve dependencies "manually" when they would otherwise
> require me to install `texlive-collection-latexextra', which is just too
> big.
>
> AFAIC, I suggest to not fix this, as this is not worth the trouble.

I see, makes sense.  I am closing this issues then.  Thanks for your
fast reply and your hint to use collections instead.  I sometimes make a
game out of the most minimal Texlive manifest.scm for my TeX writings :D

Best

-- 
Daniel